Skip to main content

GET /purchase/receipts

GET 

/purchase/receipts

GET /purchase/receipts

Request​

Query Parameters

    id int64[]
    date_issued string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    total_amount string

    Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].

    vendor_receipt_no string[]
    vendor.id int64
    vendor.business_name string
    vendor.display_name string
    vendor.reg_no string
    vendor.vat_no string
    vendor.tax_no string
    vendor.address.name string
    vendor.address.company string
    vendor.address.address1 string
    vendor.address.address2 string
    vendor.address.postal_code string
    vendor.address.city string
    vendor.address.region string
    vendor.address.country string

    Possible values: <= 2 characters

    vendor.email string
    vendor.preferred_locale string
    vendor.phone string
    is_locked boolean
    description string
    currency string
    transaction_type.id int64
    transaction_type.name string
    transaction_type.associated_payment_cards string[]
    from int32
    take int32
    search string
    sort string[]

Responses​

OK

Schema

    total int64nullable
    from int64nullable
    take int64nullable

    entities

    object[]

    nullable

  • Array [

  • id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    is_locked boolean
    no stringnullable
    vendor_receipt_no stringnullable

    vendor

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable
    culture stringnullable
    date_issued datenullable
    description stringnullable
    currency stringnullable
    precision int32nullable

    Default value: 2

    rate_format stringnullable
    taxes_included boolean
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    transaction_type

    object

    id int32nullable
    name stringnullable
    associated_payment_cards string[]nullable

    tax_nexus

    object

    id int32nullable
    code stringnullable
    currency stringnullable

    taxes

    object[]

    nullable

  • Array [

  • index int64nullable
    code stringnullable
    name stringnullable
    currency stringnullable
    rate_type stringnullable
    is_implicit boolean

    rates

    object[]

    nullable

  • Array [

  • rate double
    is_default boolean
  • ]

  • ]

  • jurisdiction

    object

    country stringnullable
    region stringnullable
    subregion stringnullable
    city stringnullable
    postal_code stringnullable
    registration_mode stringnullable
    total_amount doublenullable
    subtotal_amount doublenullable
    copy_from_id int64nullable

    taxes

    object[]

    nullable

  • Array [

  • id int64nullable
    tax_index int32nullable
    tax_rate doublenullable
    tax_amount doublenullable
    tax_base doublenullable
    tax_code stringnullable
    tax_name stringnullable
    rate_type stringnullable
  • ]

  • items

    object[]

    nullable

  • Array [

  • id int64nullable
    description stringnullable
    qty double
    rate doublenullable
    rate_discounted doublenullable
    discount_explicit doublenullable
    discount_implicit doublenullable
    amount doublenullable
    payment_amount doublenullable
    currency stringnullable
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    item

    object

    id int64
    code stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable
    desc_org stringnullable
    desc_leg stringnullable
    desc stringnullable

    unit

    object

    id int32nullable
    unece_code stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable

    paid_record

    object

    id int64nullable
    no stringnullable
    type stringnullable

    contact

    object

    id int64nullable
    business_name stringnullable

    taxes

    object[]

    nullable

  • Array [

  • id int64nullable
    tax_rate doublenullable
    tax_amount doublenullable
    tax_base doublenullable
    tax_index int32nullable
    tax_code stringnullable
    tax_name stringnullable
    rate_type stringnullable
  • ]

  • ]

  • rsn stringnullable
  • ]

  • aggregations undefined[]nullable
Loading...